/*
 *  TOPPERS/ASP Kernel
 *      Toyohashi Open Platform for Embedded Real-Time Systems/
 *      Advanced Standard Profile Kernel
 * 
 *  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
 *                              Toyohashi Univ. of Technology, JAPAN
 *  Copyright (C) 2005-2008 by Embedded and Real-Time Systems Laboratory
 *              Graduate School of Information Science, Nagoya Univ., JAPAN
 *  Copyright (C) 2008 GJ Designing Center Printer Business Group
 *                                          RICOH COMPANY,LTD. JAPAN
 * 
 *  嵭Ԥϡʲ(1)(4)ξ˸¤ꡤܥեȥ
 *  ܥեȥѤΤޤࡥʲƱˤѡʣ
 *  ѡۡʰʲѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
 *  (1) ܥեȥ򥽡ɤηѤˤϡ嵭
 *      ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
 *      ˴ޤޤƤ뤳ȡ
 *  (2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
 *      ѤǤǺۤˤϡۤȼɥȡ
 *      ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
 *      ̵ݾڵǺܤ뤳ȡ
 *  (3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
 *      ѤǤʤǺۤˤϡΤ줫ξ
 *      ȡ
 *    (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
 *        ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
 *    (b) ۤη֤̤ˡˤäơTOPPERSץȤ
 *        𤹤뤳ȡ
 *  (4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
 *      ⡤嵭ԤTOPPERSץȤդ뤳ȡ
 *      ޤܥեȥΥ桼ޤϥɥ桼Τʤ
 *      ͳ˴Ťᤫ⡤嵭ԤTOPPERSץȤ
 *      դ뤳ȡ
 * 
 *  ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
 *  TOPPERSץȤϡܥեȥ˴ؤơλŪ
 *  ФŬޤơʤݾڤԤʤޤܥեȥ
 *  ѤˤľŪޤϴŪʤ»˴ؤƤ⡤
 *  Ǥʤ
 * 
 *  @(#) $Id: target_config.c 799 2008-05-24 18:25:12Z roi $
 */

/*
 *	åȰ¸⥸塼ʽŻ AKIH8-3069Fѡ
 */

#include "kernel_impl.h"
#include "target_syssvc.h"
#include "pdic/h8/h8_sci_rename.h"
#include "pdic/h8/h8_sci.h"
#include <sil.h>


/*
 *  åȰ¸ν
 */
void
target_initialize(void)
{
	/*
	 *  ץå¸ν
	 *
	 *  H8/300Hξ硢ǳߴϢνԤ
	 */
	prc_initialize();
}

/*
 *  åȰ¸νλ
 */
void
target_exit(void)
{
	/*
	 *  ץå¸νλ
	 */
	prc_terminate();

	/*
	 *  ȯĶ¸νλ
	 */
	akih8_3048f_exit();

	while(1);
}

/*
 *  ƥ٥ϤΤʸ
 */
void
target_fput_log(char_t c)
{
	if (c == '\n') {
		h8_sci_pol_putc('\r', LOGTASK_PORTID);
	}
	h8_sci_pol_putc(c, LOGTASK_PORTID);
}


